MrmFetchIconLiteral(3Xm)

NAME
MrmFetchIconLiteral - Fetches an icon literal from a hierarchy.

SYNOPSIS
#include <Xm/Intrinsics>
#include <Mrm/MrmPublic.h>
int MrmFetchIconLiteral(hierarchy_id, index, screen, display, fgpix, bgpix, pixmap)
MrmHierarchy hierarchy_id;
String index;
Screen *screen;
Display *display;
Pixel fgpix;
Pixel bgpix;
Pixmap pixmap;

DESCRIPTION
The MrmFetchIconLiteral function fetches an icon literal from an Mrm hierarchy, and converts the icon literal to an X pixmap.

hierarchy_id
    Specifies the ID of the uid hierarchy that contains the specified icon literal. The hierarchy_id was returned in a previous call to MrmOpenHierarchy.

index
    Specifies the uil name of the icon literal to fetch.

screen
    Specifies the screen used for the pixmap. The screen argument specifies a pointer to the Xlib structure Screen which contains the information about that screen and is linked to the Display structure. For more information on the Display and Screen structures see the Xlib function XOpenDisplay and the associated screen information macros.

display
    Specifies the display used for the pixmap. The display argument specifies the connection to the X server. For more information on the Display structure see the Xlib function XOpenDisplay.

fgpix
    Specifies the foreground color for the pixmap.

bgpix
    Specifies the background color for the pixmap.

pixmap
    Returns the resulting X pixmap value.

RETURN VALUE
This function returns one of these status return constants:

MrmSUCCESS
    The function executed successfully.

MrmNOT_FOUND
    The icon literal was not found in the hierarchy.

MrmFAILURE
    The function failed.

RELATED INFORMATION
MrmFetchLiteral(3Xm), MrmFetchColorLiteral(3Xm), XOpenDisplay(3Xm)